# Reason

[![License](https://img.shields.io/pypi/l/reason.svg)](https://github.com/alisoltanirad/Reason/blob/main/LICENSE)
[![PyPI](https://img.shields.io/pypi/v/reason.svg)](https://pypi.org/project/reason/)
[![Downloads](https://pepy.tech/badge/reason)](https://pepy.tech/project/reason)
[![Activity](https://img.shields.io/github/last-commit/alisoltanirad/reason)](https://github.com/alisoltanirad/Reason/)

Python lightweight easy-to-use natural language processing toolbox with integrated
machine learning packages.

## Features

- Tokenization (word, sentence)
- Tagging (part-of-speech, regex)
- Lemmatization and word stemming (Porter, regex)
- Frequency distribution analysis
- N-grams
- Classification (naive bayes, confusion matrix)
- Clustering (k-means, elbow method, DBSCAN)

## Installation

Install latest stable version using pip:
```
pip install --upgrade reason
```

The dependencies of the package will also be installed automatically.

## Quick-Start

See [**Quick-Start Guide**](https://python-reason.readthedocs.io/en/latest/#quick-start)


## License

MIT -- See [LICENSE](https://github.com/alisoltanirad/Reason/blob/main/LICENSE) for details.

## Report issues

For reporting issues with the package, please reach out to me directly
at soltaniradali@gmail.com
